Subject: Guix hangs near the end of ‘home’ operations
From: Brian Cully <[email-masked]>
To: [email-masked]
Date: Wed, 13 Apr 2022 15:43:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

During ‘home reconfigure’ after it says ‘Finished updating symlinks.’,
guix hangs forever. Attempting to interrupt with ^C failed, and I had to
force-close my ssh session.

	Logging back in, ‘home list-generations’ claims to have
installed a new generation and moved forward. I no longer knew the state
of this generation, since I had to forcefully quit the previous
operation, so I felt it safest to try to roll back my home.

	Again, ‘home roll-back’ got to ‘Finished updating symlinks’ and
hard hung. I probably don’t need to tell anyone how this makes me feel
about the stability of this system or any guarantees of atomicity in
transactions.

-bjc